<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'MERCHANT_MANAGER.PAYOUTS.FILTERS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.PAYOUTS.FILTERS.DESCRIPTION' | translate"
    [results]="(payouts$ | async)?.filtered"
    [hasFiltredData]="isPayoutsFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'MERCHANT_MANAGER.PAYOUTS.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters">
      <div class="filters">
        <mo-date
          formControlName="date"
          [label]="'MERCHANT_MANAGER.PAYOUTS.FILTERS.DATE_TITLE' | translate"
          [placeholder]="
            'MERCHANT_MANAGER.PAYOUTS.FILTERS.DATE_PLACEHOLDER' | translate
          "
        ></mo-date>
        <mo-button
          [text]="'APP.FILTERS.BTN_SEARCH' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </div>
    </div>
  </layout-filter-content>
</form>
